/*
 * Soubor:  readval.c
 * Datum:   08.10.2007 10:45
 * Autor:   David Martinek, martinek@fit.vutbr.cz
 * Projekt: readval
 * Popis:   pete hodnotu typu double ze standardnho vstupu
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char *argv[])
{
  if (argc == 2 && strcmp(argv[1], "-h") == 0)
  {
    printf("Program oekv na standardnm vstupu hodnotu typu double.\n"
           "Po jejm spnm peten ji vytiskne na standardn vstup.\n");
    return EXIT_SUCCESS;
  }

  double cislo;
  // TIP: tte takto hodnoty v cyklu a sledujte, jak to reaguje na syntaktick
  // chyby
  int code = scanf("%lf", &cislo);
  if (code != 1)
  {
    fprintf(stderr, "Chyba! Vstup je syntakticky chybn, nen to double!\n");
    return EXIT_FAILURE;
  }
  printf("Peten slo: %lf\n", cislo);
  return EXIT_SUCCESS;
}

/* konec souboru readval.c */
